Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQMoveEvent Class Reference

The TQMoveEvent class contains event parameters for move events. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQMoveEvent ( const TQPoint & pos, const TQPoint & oldPos )
- const TQPoint & pos () const
- const TQPoint & oldPos () const

## Detailed Description

The TQMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler TQWidget::moveEvent() receives move events.

See also TQWidget::pos, TQWidget::geometry, and Event Classes.

## Member Function Documentation

### TQMoveEvent::TQMoveEvent ( const TQPoint & pos, const TQPoint & oldPos )

Constructs a move event with the new and old widget positions, pos and oldPos respectively.

### const TQPoint & TQMoveEvent::oldPos () const

Returns the old position of the widget.

### const TQPoint & TQMoveEvent::pos () const

Returns the new position of the widget. This excludes the window frame for top level widgets.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.